import math

print("Задание 1__Сравнение имени")
MY_NAME = 'valentyn'
compare_name = input("Введите ваше имя для сравнения с моим )) =>").lower().strip()
if MY_NAME == compare_name:
    print("Привет тёзка!!!")
else:
    print(f"Привет {compare_name.capitalize()}, а меня зовут {MY_NAME.capitalize()}")
print('-' * 30)

print("Задание 2__Вычисление значения функции 𝑦 = cos(3x), где - 𝜋 <= x <= 𝜋.")
x = float(input("Введите значение x (любое число в интервале (- 𝜋 <= x <= 𝜋) =>"))
if - math.pi <= x <= math.pi:
    y = math.cos(3 * x)
    print(f"Значение функции y = {y} при x = {x}")
else:
    print(f"Вы ввели недопустимое значение x = {x} ")
print('-' * 30)

print("Задание 3 __Решение квадратного уровнения 𝑎𝑥2 + 𝑏𝑥 + 𝑐 = 0")
a = int(input("Введите a (любое целое число кроме '0') =>"))
b = int(input("Введите b =>"))
c = int(input("Введите с =>"))

d = b ** 2 - 4 * a * c  # нахождение дисриминанта
if d > 0:
    x_1 = (-b + d ** 0.5) / 2 * a
    x_2 = (-b - d ** 0.5) / 2 * a
    print(f"Дискриминант > 0 (два корня) x_1 = {x_1}, x_2 = {x_2}")
elif d is None:
    x_1 = -b / 2 * a
    print(f"Дискриминант = 0 (один корень) x_1 = {x_1}")
else:
    print(f"Дискриминант < 0 (D = {d}) Нет корней!!!")
print('-' * 30)

print("Задание 4 __Калькулятор")
print("""Введите номер вычислительной операции согласно подсказке, указанной ниже:
1. Сложение (Для сложения введите два числа через пробел)
2. Вычитания (Для вычитания введите два числа через пробел)
3. Умножения (Для умножения введите два числа через пробел)
4. Деления (Для деления введите два числа через пробел)
5. Возведения в степень
6. Квадратный корень (Введите числовое значение)
7. Кубический корень (Введите числовое значение)
8. Синус (Введите числовое значение)
9. Косинус (Введите числовое значение)
10. Тангенс (Введите числовое значение)
""")
operation_number = int(input("Номер вычислительной операции от 1 до 10 =>"))
match operation_number:
    case 1:
        a, b = map(float, input("Введите два значения для сложения (через пробел) =>").split())
        print(f"Cумма двух чисел равно {a}+{b}={a + b}")
    case 2:
        a, b = map(float, input("Введите два значения для вычитания (через пробел) =>").split())
        print(f"Разность двух чисел равно {a}-{b}={a - b}")
    case 3:
        a, b = map(float, input("Введите два значения для умножения (через пробел) =>").split())
        print(f"Произведения двух чисел равно {a}*{b}={a * b}")
    case 4:
        a, b = map(float, input("Введите два значения для деления (через пробел) =>").split())
        if b != 0:
            print(f"Деление двух чисел равно {a}/{b}={a / b}")
        else:
            print("Делить на 0 нельзя!!!")
    case 5:
        a = float(input("Введите число для возведения в степень =>"))
        b = float(input(f"Введите в какую степень ввозвести {a} =>"))
        print(f"{a} возвести в степень {b} равно {pow(a, b)}")
    case 6:
        a = float(input("Введите число для вычисления квадратного корня =>"))
        print(f"Квадратный корень из {a} равен {pow(a, 0.5)}")
    case 7:
        a = float(input("Введите число для вычисления кубического корня =>"))
        print(f"Кубический корень из {a} равен {pow(a, 1 / 3)}")
    case 8:
        a = float(input("Введите аргумент 'х' для вычисления sin(x) =>"))
        print(f"sin({a}) равен {math.sin(math.radians(a))}")
    case 9:
        a = float(input("Введите аргумент 'х' для вычисления cos(x) =>"))
        print(f"cos({a}) равен {math.cos(math.radians(a))}")
    case 10:
        a = float(input("Введите аргумент 'х' для вычисления tan(x) =>"))
        print(f"tan({a}) равен {math.tan(math.radians(a))}")
    case _:
        print('Номера такой операции не существует.')
print('-' * 30)

print("Задание 5 __Проверка чётности числа")
num = input("Введите число для проверки на четность =>").strip()
if num.isdigit():
    print(f"Число {num} чётное" if int(num) % 2 == 0 else f"Число {num} нечётное")
else:
    print("Вы ввели не число!")
print('-' * 30)

print("Задание 6 __Проверка дня недели")
day_week = input("Введите день недели =>").lower().strip()

if day_week in "понедельник,вторник,среда,четверг,пятница":
    print(f"Сегодня {day_week} и нужно идти на работу!")
elif day_week in "суббота,воскресенья":
    print(f"Сегодня {day_week} и это выходной!")
else:
    print("Такого не существует!")